## Struct deserializer

zeep::xml::deserializer

## Synopsis

    // In header: </home/maarten/projects/libzeep/zeep/xml/serialize.hpp>

    struct deserializer {
      // construct/copy/destruct
      deserializer(container *);

      // public member functions
      template<typename T>
        deserializer & operator&(const boost::serialization::nvp< T > &);
      template<typename T> deserializer & deserialize(const char *, T &);

      // public data members
      container * m_node;
    };

## Description

### `deserializer` public construct/copy/destruct

1.     deserializer(container * node);

### `deserializer` public member functions

1.     template<typename T>
         deserializer & operator&(const boost::serialization::nvp< T > & rhs);

2.     template<typename T> deserializer & deserialize(const char * name, T & data);